curl --request POST \
--url https://schoolmaker.co/api/v1/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lesson_id": "LESSON_ID",
"title": "Practice",
"action_type": "input_text",
"is_optional": true,
"miscellaneous_input_text_action_type": "Your answer"
}
'
{
"id": "00000000-0000-4000-8000-000000000002",
"lesson_id": "00000000-0000-4000-8000-000000000003",
"title": "Steps HTTP basic",
"position": 2,
"action_type": "basic",
"is_optional": true,
"is_published": true,
"min_duration": null,
"max_duration": null,
"description": "<div class=\"trix-content lexxy-content\" data-controller=\"add-target-blank-to-links\">\n <p><strong>Imported</strong></p><!-- schoolmaker-lexxy-content -->\n</div>\n",
"form_description": "",
"reviewer_ids": [
"00000000-0000-4000-8000-000000000001"
],
"unlock_badge_id": null,
"miscellaneous_permanent_action_type": null,
"miscellaneous_link_action_type": null,
"miscellaneous_input_text_action_type": "Fill the field below",
"miscellaneous_textarea_action_type": "Fill the field below",
"miscellaneous_post_action_type": null,
"miscellaneous_topic_action_type": null,
"miscellaneous_topic_title_option": null,
"miscellaneous_milestone_requires_review_option": false,
"miscellaneous_milestone_action_type": "file_upload",
"miscellaneous_milestone_text_proof_label_option": "Fill the field below",
"optional_topic_post_body_template": "",
"miscellaneous_milestone_triggers_testimonial_toggle_option": null,
"miscellaneous_milestone_triggers_testimonial_text_option": "Congrats on reaching that big milestone! It's the perfect time to leave a testimonial and tell us how you did it\n",
"miscellaneous_accept_rich_text_option": null,
"miscellaneous_title_form": null,
"miscellaneous_display_type_form": "step_by_step"
}
Steps
Create a Step
Creates a step in a lesson. New steps are unpublished and required by default.
POST
/
steps
curl --request POST \
--url https://schoolmaker.co/api/v1/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lesson_id": "LESSON_ID",
"title": "Practice",
"action_type": "input_text",
"is_optional": true,
"miscellaneous_input_text_action_type": "Your answer"
}
'
{
"id": "00000000-0000-4000-8000-000000000002",
"lesson_id": "00000000-0000-4000-8000-000000000003",
"title": "Steps HTTP basic",
"position": 2,
"action_type": "basic",
"is_optional": true,
"is_published": true,
"min_duration": null,
"max_duration": null,
"description": "<div class=\"trix-content lexxy-content\" data-controller=\"add-target-blank-to-links\">\n <p><strong>Imported</strong></p><!-- schoolmaker-lexxy-content -->\n</div>\n",
"form_description": "",
"reviewer_ids": [
"00000000-0000-4000-8000-000000000001"
],
"unlock_badge_id": null,
"miscellaneous_permanent_action_type": null,
"miscellaneous_link_action_type": null,
"miscellaneous_input_text_action_type": "Fill the field below",
"miscellaneous_textarea_action_type": "Fill the field below",
"miscellaneous_post_action_type": null,
"miscellaneous_topic_action_type": null,
"miscellaneous_topic_title_option": null,
"miscellaneous_milestone_requires_review_option": false,
"miscellaneous_milestone_action_type": "file_upload",
"miscellaneous_milestone_text_proof_label_option": "Fill the field below",
"optional_topic_post_body_template": "",
"miscellaneous_milestone_triggers_testimonial_toggle_option": null,
"miscellaneous_milestone_triggers_testimonial_text_option": "Congrats on reaching that big milestone! It's the perfect time to leave a testimonial and tell us how you did it\n",
"miscellaneous_accept_rich_text_option": null,
"miscellaneous_title_form": null,
"miscellaneous_display_type_form": "step_by_step"
}
Authorizations
Body
application/json
- Option 1
- Option 2
Response
Successful request.
Was this page helpful?